ParserDelegator (Java SE 10 & JDK 10 )
Keywords: javax.swing.text.html.parser.ParserDelegator class

Module java.desktop
Package javax.swing.text.html.parser

## Class ParserDelegator

- java.lang.Object
- - javax.swing.text.html.HTMLEditorKit.Parser
  - - javax.swing.text.html.parser.ParserDelegator

- All Implemented Interfaces:
    `Serializable`

      public class ParserDelegator
      extends HTMLEditorKit.Parser
      implements Serializable

  Responsible for starting up a new DocumentParser each time its parse method is invoked. Stores a reference to the dtd.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParserDelegator()` | Creates `ParserDelegator` with default DTD.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static DTD` | `createDTD​(DTD dtd, String name)` | Recreates a DTD from an archived format with the specified `name`.
    `protected static void` | `setDefaultDTD()` | Sets the default DTD.

    - ### Methods declared in class javax.swing.text.html.HTMLEditorKit.Parser

      `parse`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserDelegator

          public ParserDelegator()

      Creates `ParserDelegator` with default DTD.

  - ### Method Detail

    - #### setDefaultDTD

          protected static void setDefaultDTD()

      Sets the default DTD.

    - #### createDTD

          protected static DTD createDTD​(DTD dtd,
                                         String name)

      Recreates a DTD from an archived format with the specified `name`.
      Parameters:
        `dtd` - a DTD
        `name` - the name of the resource, relative to the ParserDelegator class.
      Returns:
        the DTD with the specified `name`.